Subject: MMC on MPC8379

From: Gary Thomas <[email-masked]>
Date: Mon, 31 Jan 2011 13:12:29 -0700

I'm running 2.6.32 on MPC8379, trying to use the SDHCI interface.
It seems to work, reads are fine, but when I write to the device
(I've tried both eMMC soldered-on and pluggable MMC/SD cards),
I get intermittent failures.  Specifically, some blocks will be
written while others fail.  I haven't yet found a pattern.

Is there anything special about this interface?  I notice that
it's not really used by any FSL platforms although the driver
claims support.

Any ideas?

Thanks

-- 
------------------------------------------------------------
Gary Thomas                 |  Consulting for the
MLB Associates              |    Embedded world
------------------------------------------------------------